#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cabal-install-parsers
version:              0.4.2
visibility:           public
id:                   cabal-install-parsers-0.4.2-FAcjjiucqsaBDnwhcWZCPN
key:                  cabal-install-parsers-0.4.2-FAcjjiucqsaBDnwhcWZCPN
license:              GPL-2.0-or-later AND BSD-3-Clause
maintainer:           hvr@gnu.org, oleg.grenrus@iki.fi
author:               Herbert Valerio Riedel, Oleg Grenrus
homepage:             https://haskell-ci.rtfd.org/
synopsis:             Utilities to work with cabal-install files
description:
    @cabal-install-parsers@ provides parsers for @cabal-install@ files:
    @cabal.project@ ("Cabal.Project"),
    @cabal.config@ ("Cabal.Config"),
    @01-index.tar@ ("Cabal.Index");
    as well as some other utilities.

    The feature set is mainly motivated by the needs of @haskell-ci@ package.
    The parsed data is not complete, functionality is added on demand.

category:             Development
abi:                  12a2edfd4c3337582f7262bb16e5b597
exposed:              True
exposed-modules:
    Cabal.Config Cabal.Index Cabal.Optimization Cabal.Package
    Cabal.Parse Cabal.Project Cabal.SourceRepo

hidden-modules:       Cabal.Internal.Glob Cabal.Internal.Newtypes
import-dirs:          /usr/lib/ghc-9.0.1/site-local/cabal-install-parsers-0.4.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/cabal-install-parsers-0.4.2
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.1/cabal-install-parsers-0.4.2

hs-libraries:         HScabal-install-parsers-0.4.2-FAcjjiucqsaBDnwhcWZCPN
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-HjRPlMbeXBZ4yuplu15455 base-4.15.0.0
    base16-bytestring-1.0.1.0-HEKD2Oo8vtLxC8G87I8MD binary-0.8.8.0
    binary-instances-1.0.1-ByTdK1GvliA3aMZFwk94A5 bytestring-0.10.12.1
    containers-0.6.4.1
    cryptohash-sha256-0.11.102.0-j2bEMbyYBaEFHTWYSod4G deepseq-1.4.5.0
    directory-1.3.6.1 filepath-1.4.2.1
    lukko-0.1.1.3-GcukiK7PWPbFZIOmNJgNDe
    network-uri-2.6.4.1-DJOF1HMaUfXCJujDIgDzpa parsec-3.1.14.0
    pretty-1.1.3.6 tar-0.5.1.1-Fx8alHB34KHLCqrYezkkNk text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-cabal-install-parsers/html/cabal-install-parsers.haddock

haddock-html:         /usr/share/doc/haskell-cabal-install-parsers/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

